package org.tio.sitexxx.service.model.main.base;

import org.tio.jfinal.plugin.activerecord.IBean;
import org.tio.sitexxx.service.jf.TioModel;

import java.util.Date;

/**
 * <pre>
 *    @author : vagrancy
 *    e-mail : 18050829067@163.com
 *    time   : 2026-02-26 11:16
 *    desc   : 基础任务记录
 * </pre>
 */
public abstract class BaseTaskRecord<M extends BaseTaskRecord<M>> extends TioModel<M> implements IBean {
    public void setId(Integer value) {
        set("id", value);
    }

    public Integer getId(){
        return getInt("id");
    }

    public void setUid(Integer value) {
        set("uid", value);
    }

    public String getUid(){
        return getStr("uid");
    }

    public void setPCode(String value) {
        set("pCode", value);
    }

    public String getPCode(){
        return getStr("pCode");
    }

    public void setAdType(Integer value) {
        set("adType", value);
    }

    public Integer getAdType(){
        return getInt("adType");
    }

    public void setTaskId(Integer value) {
        set("taskId", value);
    }

    public Integer getTaskId(){
        return getInt("taskId");
    }

    public void setTransId(String value) {
        set("transId", value);
    }

    public String getTransId(){
        return getStr("transId");
    }

    public void setSdkName(String value) {
        set("sdkName", value);
    }

    public String getSdkName(){
        return getStr("sdkName");
    }

    public void setCoin(String value) {
        set("coin", value);
    }

    public String getCoin(){
        return getStr("coin");
    }

    public void setType(Integer value) {
        set("type", value);
    }

    public Integer getType(){
        return getInt("type");
    }
    public void setIp(String value) {
        set("ip", value);
    }

    public String getIp(){
        return getStr("ip");
    }

    public void setDeviceId(String value) {
        set("deviceId", value);
    }

    public String getDeviceId(){
        return getStr("deviceId");
    }
    public void setCtime(Date value){
        set("ctime", value);
    }

    public Date getCtime(){
        return getDate("ctime");
    }

    public void setUtime(Date value) {
        set("utime", value);
    }

    public Date getUtime(){
        return getDate("utime");
    }

    public void setStatus(Integer value){
        set("status", value);
    }

    public Integer getStatus(){
        return getInt("status");
    }

    public void setMediationRit(Integer value){
        set("mediationRit", value);
    }

    public Integer getMediationRit(){
        return getInt("mediationRit");
    }


}
